function [g] =videotallennus(f)
%Tallentaa videon, jossa voi olla eri kokoisia ruutuja.
%
%Esimerkiksi
%
%s=linspace(-2,2,100);
%[x,y]=meshgrid(s);
%z=x.^2+y.^2;
%figure('units','normalized','outerposition',[0 0 1 1])
%h=surf(x,y,z);
%set(h,'linestyle','none')
%axis equal, hold on
%kulma=linspace(1,360,360);
%korkeus=20+90*sin(kulma/180);
%f=videopyor(kulma,korkeus);
%g=videotallennus(f);           %tallennetaan video

%Etsitn ruutujen maksimikorkeus ja -leveys
[n,m]=size(f);
for k=1:m
[kor,lev,~]=size(f(k).cdata);
kork(k)=kor;leve(k)=lev;
end
mkor=max(kork);mlev=max(leve);

%Tehdn kaikista ruuduista samankokoisia
for k=1:m
g(k).cdata=uint8(240*ones(mkor,mlev,3));
g(k).cdata(1:kork(k),1:leve(k),:)=f(k).cdata;
g(k).colormap=[];
end

%Videon nimeksi voidaan asettaa kellonaika
vtyyppi='.avi';                                 %videon tiedostopaate
vnimi=['video',num2str(-floor(clock)),vtyyppi]; %poimitaan kellonaika
vnimi=vnimi(vnimi~=' ');                        %poistetaan valilyonnit

%v = VideoWriter(vnimi,'Uncompressed AVI');     %suuri ja tarkka video
v = VideoWriter(vnimi);
open(v)
writeVideo(v,g)
close(v)
end

